package main

import (
	// "fmt"
	// "log"
	"api/db"
	"api/http"
	"fmt"
	"os"
)

func main() {
	connStr := os.Getenv("DB_CONNECTION_STRING")
	dbServer, err := db.NewDBServer(connStr)
	if err != nil {
		fmt.Println("error connecting to db: " + err.Error())
	}

	httpServer := http.NewHttpServer(dbServer)
	httpServer.Http()
}
